package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag499;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT400Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT499Creator;


public class Tag20Creator extends AbsTagCreate {

     private MT499Creator mt499Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt499Creator= (MT499Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt499Creator.getTransactionReferenceNumber();
        mt499Creator.set("20", tag20Value);
    }
}

